import {NonOperationalError, OperationalError, HttpError} from './errorTypes'
import {Request, Response, NextFunction} from 'express'


declare function _isSlackChannelValid(slackChannel: string): boolean

declare function _getNonOperationalSlackChannel(error: NonOperationalError): string

declare function expressLogErrors(error: NonOperationalError | OperationalError | HttpError, req: Request, res: Response, NextFunction: NextFunction): Promise<void>

declare function expressHandleErrors(error: OperationalError | HttpError, req: Request, res: Response, next: NextFunction): Promise<void>

export {
    _isSlackChannelValid,
    _getNonOperationalSlackChannel,
    expressLogErrors,
    expressHandleErrors
}
